﻿using System;
 
 
using System.Text;
using STMBench7.Core;
using STMBench7.Compatability;

namespace STMBench7.Locking
{
/**
 * An implementation of the OperationExecutorFactory
 * for the coarse-grained locking synchronization.
 */
    public class CGLockingOperationExecutorFactory : OperationExecutorFactory {

    	public override OperationExecutor CreateOperationExecutor(Operation op) {
    		return new CGLockingOperationExecutor(op);
    	}
    }

}
