﻿using System;
 
 
using System.Text;
using STMBench7.Core;
using STMBench7.Compatability;

namespace STMBench7.Operations
{
	/**
	 * Traversal T3, variant (c) (see the specification).
	 * Simple update, update on index, long.
	 */
	public class Traversal3c : Traversal3a {

		public Traversal3c(Setup oo7setup): base(oo7setup) {
			
		}

        protected override int PerformOperationInAtomicPart(AtomicPart part, HashtableSet/*<AtomicPart>*/ setOfVisitedPartIds)
        {
			UpdateBuildDate(part);
			UpdateBuildDate(part);
			UpdateBuildDate(part);
			UpdateBuildDate(part);
			return 4;
	    }
		
        public override OperationId GetOperationId()
        {
	    	return OperationId.T3c;
	    }
	}

}
