﻿using System;
 
 
using System.Text;
using STMBench7.Core;
using STMBench7.Compatability;

namespace STMBench7.Operations
{
	/**
	 * Traversal T9 / Operation OP5 (see the specification).
	 * Read-only.
	 */
	public class Traversal9 : Traversal8 {

	    public Traversal9(Setup oo7setup) : base(oo7setup) {
	    }

        [BartokSTMExtensions.NoLog]
        protected override int Traverse(Manual manual)
        {
	    	return manual.CheckFirstLastCharTheSame();
	    }
	    
        public override OperationId GetOperationId()
        {
	    	return OperationId.OP5;
	    }
	}

}
