﻿using System;
 
 
using System.Text;
using STMBench7.Annotations;

namespace STMBench7.Backend
{
	/**
	 * Value of an index (Index) -- a base class.
	 */
	[Immutable]
	public abstract class BaseIndexKey : IndexKey {
	    
		public virtual bool GreaterThan(IndexKey otherIndexKey) {
			return CompareTo(otherIndexKey) > 0;
		}

        public virtual bool LowerThan(IndexKey otherIndexKey)
        {
			return CompareTo(otherIndexKey) < 0;
		}

        public virtual bool Equals(IndexKey otherIndexKey)
        {
            return CompareTo(otherIndexKey) == 0;
		}

        //public abstract int CompareTo(Object otherIndexKey);
        public virtual int CompareTo(Object otherIndexKey) { return 42; }//the answer to life

	}

}
