﻿using System;
 
 
using System.Text;
using STMBench7.Annotations;
using STMBench7.Compatability;
using System.Collections;

namespace STMBench7.Backend
{
	/**
	 * Represents a read-only snapshot of a collection of elements.
	 */
	[Immutable]
	public interface ImmutableCollection : IEnumerable {
		
		int Size();
		bool Contains(Object element); // not necessarily efficient!
    }

}
