﻿using System;
 
 
using System.Text;

using STMBench7.Annotations;

namespace STMBench7.Core
{
    /**
 * Part of the main benchmark data structure. For a default
 * implementation, see stmbench7.impl.core.AssemblyImpl.
 */
    [Atomic]
    public interface Assembly : DesignObj
    {
        [ReadOnly]
        ComplexAssembly GetSuperAssembly();

        [ReadOnly]
        Module GetModule();

        [Update]
        void ClearPointers();
    }
}
