﻿using System;
 
 
using System.Text;
using STMBench7.Impl;
using STMBench7.Compatability;

namespace STMBench7.Locking
{
	/**
	 * An initializer for the coarse-grained locking
	 * thread synchronization.
	 */
	public class CGLockingInitializer : NoSynchronizationInitializer {

		public override OperationExecutorFactory CreateOperationExecutorFactory() {
			return new CGLockingOperationExecutorFactory();
		}
	}

}
