﻿using System;
 
 
using System.Text;
using STMBench7.Impl;
using STMBench7.Core;

namespace STMBench7.Locking
{

	/**
	 * An initializer for the medium-grained locking synchronization
	 * method.
	 */
	public class MGLockingInitializer : NoSynchronizationInitializer {

		public override DesignObjFactory CreateDesignObjFactory() {
			return new MGLockingDesignObjFactory();
		}

		public override OperationExecutorFactory CreateOperationExecutorFactory() {
			return new MGLockingOperationExecutorFactory();
		}
	}

}
