﻿using System;
 
 
using System.Text;
using STMBench7.Core;
using STMBench7.Compatability;

namespace STMBench7.Locking
{
	/**
	 * An implementation of the OperationExecutorFactory
	 * for the medium-grained locking synchronization.
	 */
	public class MGLockingOperationExecutorFactory : OperationExecutorFactory {

		public override OperationExecutor CreateOperationExecutor(Operation op) {
			return new MGLockingOperationExecutor(op);
		}
	}

}
