﻿using System;
 
 
using System.Text;
using STMBench7.Annotations;

namespace STMBench7
{
	/**
	 * An interface representing a class that executes a given operation.
	 * Can set up a transaction and handle aborts.
	 */
	[NonAtomic]
	[ThreadLocal]
	public interface OperationExecutor {

        int Execute();
		int GetLastOperationTimestamp();
	}

}
