﻿using System;
 
 
using System.Text;
using STMBench7.Compatability;
using STMBench7.Annotations;
using STMBench7.Core;

namespace STMBench7.Operations
{
	/**
	 * Operation OP14 (see the specification).
	 * Simple update, search on index.
	 */
	public class Operation14 : Operation8 {

        public Operation14(Setup oo7setup)
            : base(oo7setup)
        {
		}
	    
		[Transactional] [Update]
        public override int PerformOperation()
        {
            return base.PerformOperation();
		}
	    
        protected override void PerformOperationInComponent(CompositePart component)
        {
			component.UpdateBuildDate();
		}
		
        public override OperationId GetOperationId()
        {
	    	return OperationId.OP14;
	    }
	}

}
